<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title = 'Админ-панель';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!isset($user['id']) or $user['level']<2) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}
echo '<div class="title">'.$title.'</div>';
switch($_GET['act']){
	default:
	echo '<div class="title">Админка магазина</div>
	<div class="links"><a href="?act=dir">Разделы</a></div>
	<div class="links"><a href="?act=gravamen">Жалобы</a></div>';
	break;
	
	case 'dir':
	$_GET['id']=abs(intval($_GET['id']));
	if($_GET['id']!=0){
		$w=mysql_fetch_assoc(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"));
	}
	if($_GET['id']!=0){
	if(mysql_num_rows(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"))==0){
		echo err($title, 'Раздела не существует');
		require_once ('../system/footer.php'); exit;
	}
	}
	echo '<div class="title">Разделы магазина</div>';
	if (empty($user['max'])) $user['max']=10;
	$max = $user['max'];
	$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `shop_dir` WHERE `dir`='".$_GET['id']."'"),0);
	$k_page = k_page($k_post,$max);
	$page = page($k_page);
	$start = $max*$page-$max;

	$shop_dir = mysql_query("SELECT * FROM `shop_dir` WHERE `dir`='".$_GET['id']."' ORDER BY `id` DESC LIMIT $start, $max");
	while($dir = mysql_fetch_assoc($shop_dir))
	{
		echo '<div class="podmenu"><a href="/m/admin.php?act=dir&id='.$dir['id'].'">'.$dir['name'].'</a> <a href="/m/admin.php?act=edit&id='.$dir['id'].'"> [Ред.]</a> <a href="/m/admin.php?act=del&id='.$dir['id'].'">[Удал.]</a></div>';
	}

	if($k_post < 1) echo '<div class="podmenu"><center><b>Разделов пока нет!</b></center></div>';
	if($k_page>1) echo str(''.$HOME.'/blog/?',$k_page,$page); // Вывод страниц
	if($_GET['id']!=0){
		if($w['up']!=0){
			echo '<div class="links"><a href="/m/admin.php?act=ndir&id='.$_GET['id'].'">Создать раздел</a></div>';
		}
	}else{
		echo '<div class="links"><a href="/m/admin.php?act=ndir&id='.$_GET['id'].'">Создать раздел</a></div>';
	}
	echo '<div class="links"><a href="/m/admin.php">Админка магазина</a></div>';

	break;
	
	case 'ndir':
	$_GET['id']=abs(intval($_GET['id']));
	$e=mysql_fetch_assoc(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"));
	echo '<div class="title">Создание раздела</div>';
	if($_GET['id']!=0){
		if(mysql_num_rows(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"))==0){
			echo err($title, 'Раздела не существует');
			require_once ('../system/footer.php');
			exit();
		}
		if($e['up']==0){
		echo err($title, 'Запрещено добавлять разделы в данную категорию!');
		require_once ('../system/footer.php');
		exit();
	}
	}
	
	if(isset($_POST['ok'])){
		$_POST['name']=strong($_POST['name']);
		mysql_query("INSERT INTO `shop_dir` SET `name`='".$_POST['name']."', `dir`='".$_GET['id']."'");
		$q=mysql_insert_id();
		if(isset($_POST['up'])){
			mysql_query("UPDATE `shop_dir` SET `up`='1' WHERE `id`='".$q."'");
		}
		echo '<div class="podmenu">Раздел успешно создан!</div>';
	}
	echo '<div class="podmenu"><form action="" method="POST">
	Название:<br/>
	<input type="text" name="name"><br/>
	<input type="checkbox" name="up" value="a1">Добавление файлов <b><font color="red">*</font></b><br/>
	<input type="submit" name="ok" value="Создать">
	</form><br/>
	<b><font color="red">*</font> - Если в папке разрешено добавлять товары, то создать подпапку будет невозможно</b></div>
	<div class="links"><a href="/m/admin.php">Админка магазина</a></div>';
	break;
	
	case 'edit':
	$_GET['id']=abs(intval($_GET['id']));
	if(mysql_num_rows(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"))==0){
		echo err($title, 'Раздела не существует');
		require_once ('../system/footer.php');
		exit();
	}
	if(isset($_POST['ok'])){
		$_POST['name']=strong($_POST['name']);
		mysql_query("UPDATE `shop_dir` SET `name`='".$_POST['name']."' WHERE `id`='".$_GET['id']."'");
		$t=mysql_insert_id();
		if(isset($_POST['up'])){
			mysql_query("UPDATE `shop_dir` SET `up`='1' WHERE `id`='".$_GET['id']."'");
		}else{
			mysql_query("UPDATE `shop_dir` SET `up`='0' WHERE `id`='".$_GET['id']."'");
		}
		echo '<div class="podmenu">Изменения успешно приняты</div>';
	}
	$r=mysql_fetch_assoc(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"));
	echo '<div class="podmenu"><form action="" method="POST">
	Название:<br/>
	<input type="text" name="name" value="'.$r['name'].'"><br/>
	';
	if($r['up']!=0){
		echo '<input type="checkbox" name="up" value="a1" checked>Добавление файлов <b><font color="red">*</font></b><br/>';
	}else{
		echo '<input type="checkbox" name="up" value="a1">Добавление файлов <b><font color="red">*</font></b><br/>';
	}
	echo '<input type="submit" name="ok" value="Сохранить">
	</form></form><br/>
	<b><font color="red">*</font> - Если в папке разрешено добавлять товары, то создать подпапку будет невозможно</b></div>
	<div class="links"><a href="/m/admin.php">Админка магазина</a></div>';
	break;
	
	case 'del':
	$_GET['id']=abs(intval($_GET['id']));
	if(mysql_num_rows(mysql_query("SELECT * FROM `shop_dir` WHERE `id`='".$_GET['id']."'"))==0){
		echo err($title, 'Раздела не существует');
		require_once ('../system/footer.php');
		exit();
	}
	mysql_query("DELETE FROM `shop_dir` WHERE `id`='".$_GET['id']."'");
	echo '<div class="podmenu">Раздел успешно удален</div>';
	echo '<div class="links"><a href="/m/admin.php">Админка магазина</a></div>';

	break;

	case 'gravamen':
	if(isset($_GET['ok'])){
		$_GET['id']=abs(intval($_GET['id']));
		if(mysql_num_rows(mysql_query("SELECT * FROM `shop_gravamen` WHERE `id`='".$_GET['id']."'"))==0){
			echo '<div class="podmenu"><center><b>Жалобы не существует!</b></center></div>';
			require_once ('../system/footer.php');
			exit();
		}
		mysql_query("UPDATE `shop_gravamen` SET `read`='1'");
		header('location:/m/admin.php?act=gravamen');
	}
	if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `shop_gravamen` WHERE `read` = '0' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$good = mysql_query("SELECT * FROM `shop_gravamen` WHERE `read` = '0' ORDER BY `id` DESC LIMIT $start, $max");

while($g = mysql_fetch_assoc($good))
{
echo '<div class="podmenu">
Жалоба от '.nick($g['id_us']).'<br/>
Текст жалобы:<br/>
'.bb(smile($g['text'])).'<br/>
<a href="/m/tovar.php?id='.$g['id_goods'].'">Страница товара</a><br/>
<a href="/m/admin.php?act=gravamen&id='.$g['id'].'&ok">Отметить как проверенное</a>
</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Непровренных жалоб пока нет!</center></b></div>';

if($k_page>1) echo str(''.$HOME.'/m/admin.php?act=gravamen&',$k_page,$page); // Вывод страниц
	break;
}
echo '<div class="links"><a href="/m">Магазин</a></div>';
require_once ('../system/footer.php');
?>